'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _Window = require('./Window');

var _Window2 = _interopRequireDefault(_Window);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// @server-side class ServerWindow extends __VARIABLE__ {__CLEAR__}\nexports.default = ServerWindow;

/**
 * Server-side implementation of the {@code Window} utility API.
 */
class ServerWindow extends _Window2.default {
  static get $dependencies() {
    return [];
  }

  /**
   * @inheritdoc
   */
  isClient() {
    return false;
  }

  /**
   * @inheritdoc
   */
  isCookieEnabled() {
    return false;
  }

  /**
   * @inheritdoc
   */
  hasSessionStorage() {
    return false;
  }

  /**
   * @inheritdoc
   */
  setTitle() {}

  /**
   * @inheritdoc
   */
  getWindow() {
    return undefined;
  }

  /**
   * @inheritdoc
   */
  getDocument() {
    return undefined;
  }

  /**
   * @inheritdoc
   */
  getScrollX() {
    return 0;
  }

  /**
   * @inheritdoc
   */
  getScrollY() {
    return 0;
  }

  /**
   * @inheritdoc
   */
  scrollTo() {}

  /**
   * @inheritdoc
   */
  getDomain() {
    return '';
  }

  /**
   * @inheritdoc
   */
  getHost() {
    return '';
  }

  /**
   * @inheritdoc
   */
  getPath() {
    return '';
  }

  /**
   * @inheritdoc
   */
  getUrl() {
    return '';
  }

  /**
   * @inheritdoc
   */
  getBody() {
    return undefined;
  }

  /**
   * @inheritdoc
   */
  getElementById() {
    return null;
  }

  /**
   * @inheritdoc
   */
  getHistoryState() {
    return {};
  }

  /**
   * @inheritdoc
   */
  querySelector() {
    return null;
  }

  /**
   * @inheritdoc
   */
  querySelectorAll() {
    class DummyNodeList {
      constructor() {
        this.length = 0;
      }

      item() {
        return null;
      }
    }

    return new DummyNodeList();
  }

  /**
   * @inheritdoc
   */
  redirect() {}

  /**
   * @inheritdoc
   */
  pushState() {}

  /**
   * @inheritdoc
   */
  replaceState() {}

  /**
   * @inheritdoc
   */
  createCustomEvent(name, options) {
    let dummyCustomEvent = { initCustomEvent: () => {}, detail: {} };

    return Object.assign(dummyCustomEvent, options);
  }

  /**
   * @inheritdoc
   */
  bindEventListener() {}

  /**
   * @inheritdoc
   */
  unbindEventListener() {}
}
exports.default = ServerWindow;

typeof $IMA !== 'undefined' && $IMA !== null && $IMA.Loader && $IMA.Loader.register('ima/window/ServerWindow', [], function (_export, _context) {
 'use strict';
 return {
   setters: [],
   execute: function () {
     _export('default', exports.default);
   }
 };
});
